Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.recordio
Class DefaultRecordWriter

    java.lang.Object
      com.servingxml.components.recordio.AbstractRecordWriter
          com.servingxml.components.recordio.DefaultRecordWriter

All Implemented Interfaces:
  RecordWriter

    public class DefaultRecordWriter

extends AbstractRecordWriter
implements RecordWriter

Nested Class Summary

Nested classes/interfaces inherited from interface com.servingxml.components.recordio.RecordWriter
`RecordWriter.DefaultDiscardWriter, RecordWriter.NullRecordWriter`

Field Summary

Fields inherited from interface com.servingxml.components.recordio.RecordWriter
`DEFAULT_DISCARD_WRITER, NULL`

Constructor Summary
`DefaultRecordWriter(StreamSinkFactory sinkFactory)`

Method Summary
`void` | `close()`
`void` | `endRecordStream(ServiceContext context, Flow flow)`
`void` | `startRecordStream(ServiceContext context, Flow flow)`
`void` | `writeRecord(ServiceContext context, Flow flow)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultRecordWriter

    public DefaultRecordWriter(StreamSinkFactory sinkFactory)

Method Detail

### startRecordStream

    public final void startRecordStream(ServiceContext context,
                                        Flow flow)

  Specified by:
    `startRecordStream` in interface `RecordWriter`

### endRecordStream

    public final void endRecordStream(ServiceContext context,
                                      Flow flow)

  Specified by:
    `endRecordStream` in interface `RecordWriter`

### writeRecord

    public final void writeRecord(ServiceContext context,
                                  Flow flow)

  Specified by:
    `writeRecord` in interface `RecordWriter`

### close

    public final void close()

  Specified by:
    `close` in interface `RecordWriter`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD